List reporter outputs
curl --request GET \
--url https://softmax.com/api/observatory/v2/reporters/{reporter_id}/outputs \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/reporters/{reporter_id}/outputs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/reporters/{reporter_id}/outputs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"reporter_id": "<string>",
"reporter_run_id": "<string>",
"name": "<string>",
"type": "<string>",
"size_bytes": 123,
"content_hash": "<string>",
"media_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"url": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Reporters
List reporter outputs
Lists visible output parts for a reporter, newest first. A continuation cursor is returned in the X-Next-Cursor response header when another page exists.
GET
/
v2
/
reporters
/
{reporter_id}
/
outputs
List reporter outputs
Authorizations
Bearer token issued by Softmax
Path Parameters
Reporter whose outputs will be listed.
Pattern:
^rptr_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Query Parameters
Maximum outputs returned.
Required range:
1 <= x <= 200Continuation token from the previous response's X-Next-Cursor header.
Response
Successful Response
Output part ID.
Reporter that produced the output.
Run that produced the output. External submissions return null.
Declared output part name.
Declared output part type.
Output size in bytes.
SHA-256 digest of the output body.
Media type supplied for a file output, if any.
Time the output was stored.
Relative URL for downloading the output body.